HARBOUR(1)

NAME
harbour - Harbour Project compiler

SYNOPSIS
harbour <file[s][.prg]|@file> [options]

DESCRIPTION
harbour is a CA-Clipper compatible compiler for multiple platforms.

OPTIONS

-a  Automatic memvar declaration

-b  Debug info

-build
    display detailed version info

-credits
    display credits

-d<id>[=<val>]
    #define <id>

-es[<level>]
    set exit severity

-g<type>
    output type generated is <type> (see below)

-gc[<type>]
    output type: C source (.c) (default)

    <type>: 0=compact 1=normal 2=verbose (default)

    3=generate real C code instead of PCODE

-go output type: Platform dependant object module

-gw output type: Windows/DOS OBJ32 (.obj)

-gh output type: Harbour Portable Object (.hrb)

-i<path>
    #include file search path

-j[<file>]
    generate i18n gettex file (.pot)

-k  compilation mode (type -k? for more data)

-l  suppress line number information

-m  compile module only

-n[<type>]
    no implicit starting procedure (default)

    <type>: 0=no implicit starting procedure

    1=no starting procedure at all

-o<path>
    object file drive and/or path

-p[<path>]
    generate pre-processed output (.ppo) file

-p+ generate pre-processor trace (.ppt) file

-q  quiet

-q0 quiet and don't display program header

-r=<max>
    set maximum number of preprocessor iterations

-s  syntax check only

-u[<file>]
    use command def set in <file> (or none)

-undef:<id>
    #undef <id>

-v  variables are assumed M->

-w[<level>]
    set warning level number (0..3, default 1)

-x[<prefix>]
    set symbol init function name prefix (for .c only)

-z  suppress shortcutting (.and. & .or.)

@<file>
    compile list of modules in <file>

AUTHOR
Author of harbour: The Harbour Project (http://www.harbour-project.org) This manual page was written by Luis Mayoral <mayoral@linuxadicto.org>, for the Debian GNU/Linux system (but may be used by others).